<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/fic_age.inc.php");
include_once("../inc/fic_cli.inc.php");
include_once("../inc/fic_co.inc.php");
include_once("../inc/fic_cocl.inc.php");
include_once("../inc/fic_do.inc.php");
include_once("../inc/fic_st.inc.php");
include_once("../inc/fic_hum.inc.php");
include_once("../inc/fic_int.inc.php");
include_once("../inc/fic_ot.inc.php");
include_once("../inc/fic_statut.inc.php");
include_once("../inc/fic_tec.inc.php");
include_once("../inc/fic_txt.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_time.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/func_txtcm.inc.php");
include_once("../inc/func_mail.inc.php");
include_once("../classes/phpmailer/class.phpmailer.php");
include_once("../inc/mail.inc.php");
Archivelog(@$_SESSION["code_log"]);

// Variables Formulaire
$titre = stripslashes(strip_tags(trim(@$_POST["titre"])));
$td = strip_tags(trim(@$_POST["td"]));
$ot = strip_tags(trim(@$_POST["ot"]));

$datedde = datefrang(strip_tags(trim(@$_POST["dateddef"])));
$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
$codeman = str_majuscules(strip_tags(trim(@$_POST["codeman"])));
$codeext = str_majuscules(strip_tags(trim(@$_POST["codeext"])));
$codeage = str_majuscules(strip_tags(trim(@$_POST["codeage"])));
$codedo = str_majuscules(strip_tags(trim(@$_POST["codedo"])));
$codecocl = str_majuscules(strip_tags(trim(@$_POST["codecocl"])));
$rephnc = str_majuscules(strip_tags(trim(@$_POST["lsthnc"])));
$repded = str_majuscules(strip_tags(trim(@$_POST["lsttded"])));
$codecli = str_majuscules(strip_tags(trim(@$_POST["codecli"])));
$ddeur = str_majuscules(strip_tags(trim(@$_POST["ddeur"])));
$prev = strip_tags(trim(@$_POST["prev"]));
$site = strip_tags(trim(@$_POST["idsite"]));
$codeorig = str_majuscules(strip_tags(trim(@$_POST["codeorig"])));
$codestatut = str_majuscules(strip_tags(trim(@$_POST["codestatut"])));
$codelieu = str_majuscules(strip_tags(trim(@$_POST["codelieu"])));
$urg = strip_tags(trim(@$_POST["urgence"]));
$daterdvf = strip_tags(trim(@$_POST["daterdvf"]));
if ($daterdvf <> "")
	$daterdv = datefrang($daterdvf);
else
	$daterdv = "";
$hrdv = strip_tags(trim(@$_POST["hrdv"]));
if ($hrdv<>"")
	$hrdv.=":00";
$mat = str_escape(trim(@$_POST["mat"]));
$login = strip_tags(str_escape(trim(@$_POST["login"])));
$mdpsys = strip_tags(str_escape(trim(@$_POST["mdpsys"])));
$mdpbios = strip_tags(str_escape(trim(@$_POST["mdpbios"])));
$acompte = strip_tags(trim(@$_POST["acpte"]));
$pbm = str_escape(trim(@$_POST["pbm"]));
$indexgar = strip_tags(trim(@$_POST["gar"]));
if ($indexgar == "0")
	$gar = 0;
else
	$gar = 1;

$fgar = strip_tags(trim(@$_POST["fgar"]));
if ($fgar == "") // Si pas de référence facture saisie, pas sous garantie
	$gar=0;

$excodetec = str_majuscules(strip_tags(trim(@$_POST["excodetec"])));
$codetec="-1";
if (isset($_POST["codetec"]))
	$codetec = str_majuscules(strip_tags(trim($_POST["codetec"])));
$duree = formateheure(strip_tags(trim(@$_POST["duree"])).":00");
$durees = heure_sec($duree);
$dureeoff = formateheure(strip_tags(trim(@$_POST["dureeoff"])).":00");
$dureeoffs = heure_sec($dureeoff);
$forfait = strip_tags(trim(@$_POST["forfait"]));

$fait = str_escape(trim(@$_POST["fait"]));
$exdateprevf = strip_tags(trim(@$_POST["exdateprevf"]));
$dateprevf = strip_tags(trim(@$_POST["dateprevf"]));
if ($dateprevf <> "")
	$dateprev = datefrang($dateprevf);
else
	$dateprev = "";
$codereg = strip_tags(trim(@$_POST["codereg"]));

$datefinf = strip_tags(trim(@$_POST["datefinf"]));
if ($datefinf <> "")
{
	$datefin = datefrang($datefinf);
	if (trim($dateprev)=="") // Si pas de de date pour prévenir le client, on prend la date de clôture
		$dateprev==$datefin;
	$codestatut="CLOT"; // S'il existe une date de fin, c'est que le dossier est clôt
}
else
	$datefin = "";
$pces = strip_tags(trim(@$_POST["pieces_hs"]));
$totalint = strip_tags(trim(@$_POST["totalint"]));
$codeages = str_majuscules(strip_tags(trim(@$_POST["agesite"])));
if ($codeages=="-1") // Si on a choisi "agence gestionnaire du compte", on donne la valeur du gestionnaire de l'intervention
	$codeages=$codeage;

$codeuser = @$_SESSION["code_log"];

$msg="";
$contrat="";
$ncontrat="";
$url_cocl="";
$report_temps=FALSE;
$retourliste = TRUE;
$enrimp = FALSE;
$enrimpcl = FALSE;
$enrmail = FALSE;

if (strip_tags(trim(@$_POST["enrimp"])) == "Enregistrer & Imprimer")
{
	$retourliste = FALSE;
	$enrimp = TRUE;
}

if (strip_tags(trim(@$_POST["enrmail"])) == "Enregistrer & Envoyer")
{
	$retourliste = FALSE;
	$enrmail = TRUE;
}

if ((@$_SESSION["niv_log"] <> 4) AND (@$_SESSION["niv_log"] <> 3) AND (@$_SESSION["niv_log"] <> 5) AND (@$_SESSION["niv_log"] <> 9))
{
	$retourliste = TRUE;
	$enrimp = FALSE;
	$enrmail = FALSE;
}

switch ($td)
{
	// Ajout de la fiche Intervention
	case "add" :
		$codei = crecode("I",TRUE);
	
		$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
		$rech = "SELECT * FROM " .TBINT. " WHERE `int_code` = '$codei'";
		$rs = mysql_query($rech) or die(mysql_error());
		if (mysql_num_rows($rs) == 0)
		{
			switch (@$_SESSION["niv_log"])
			{
				case 2 :
					$rech2 = "INSERT INTO " .TBINT;
					$rech2.=" (int_datecrea,int_codecrea,int_datemod,int_codemod,int_datedde,int_code,int_codecli,";
					$rech2.="int_ddeur,int_codeorig,int_codestatut,int_codelieu,int_urg,int_mat,";
					$rech2.="int_pbm,int_gar,int_fgar,int_codereg,int_idsite)";
					$rech2.=" VALUES";
					$rech2.=" ('$datea','$codeuser','$datea','$codeuser','$datedde','$codei','$codecli',";
					$rech2.="'$ddeur','$codeorig','$codestatut','$codelieu','$urg','$mat',";
					$rech2.="'$pbm','$gar','$fgar','EC','$site')";
					break;
				case 6 :
				case 7 :
					$rech2 = "INSERT INTO " .TBINT;
					$rech2.=" (int_datecrea,int_codecrea,int_datemod,int_codemod,int_datedde,int_code,int_codeext,int_codedo,int_codecli,";
					$rech2.="int_ddeur,int_codeorig,int_codestatut,int_codelieu,int_urg,int_mat,int_login,int_mdpsys,";
					$rech2.="int_mdpbios,int_pbm,int_gar,int_fgar,int_codereg,int_idsite)";
					$rech2.=" VALUES";
					$rech2.=" ('$datea','$codeuser','$datea','$codeuser','$datedde','$codei','$codeext','$codedo','$codecli',";
					$rech2.="'$ddeur','$codeorig','$codestatut','$codelieu','$urg','$mat','$login','$mdpsys',";
					$rech2.="'$mdpbios','$pbm','$gar','$fgar','EC','$site')";
					break;
				default :
					$rech2 = "INSERT INTO " .TBINT;
					$rech2.=" (int_datecrea,int_codecrea,int_datemod,int_codemod,int_datedde,int_code,int_codeext,int_codeman,int_codeage,int_codedo,";
					$rech2.="int_codecli,int_ddeur,int_codecocl,int_codeorig,int_codestatut,int_codelieu,int_urg,int_daterdv,int_hrdv,";
					$rech2.="int_mat,int_login,int_mdpsys,int_mdpbios,int_pbm,int_gar,int_fgar,int_acpte,int_codetec,int_durees,int_fait,";
					$rech2.="int_dateprev,int_codereg,int_datefin,int_pces,int_idsite,int_codeages,int_forfait)";
					$rech2.=" VALUES";
					$rech2.=" ('$datea','$codeuser','$datea','$codeuser','$datedde','$codei','$codeext','$codeman','$codeage','$codedo','$codecli',";
					$rech2.="'$ddeur','$codecocl','$codeorig','$codestatut','$codelieu','$urg','$daterdv','$hrdv','$mat','$login','$mdpsys',";
					$rech2.="'$mdpbios','$pbm','$gar','$fgar','$acompte','$codetec','$durees','$fait','$dateprev','EC','$datefin','$pces','$site','$codeages','$forfait')";
					break;
			}
			$rs2 = mysql_query($rech2) or die(mysql_error());
	
			// Vérification du type de client et MAJ si nécessaire
			$rech2 = "SELECT cli_type FROM " .TBCLI. " WHERE `cli_code` = '$codecli'";
			$rs2 = mysql_query($rech2) or die(mysql_error());
			if ($row = mysql_fetch_array($rs2))
			{
				extract ($row);
				
				// MAJ de la fiche Client (pour modification du type), affectation de l'agence propriétaire du compte
				// et passage en type 'demande d'intervention' si pas déjà client
				$rech2 = "UPDATE `" .TBCLI. "` SET `cli_datemod`='".$datea."', `cli_codemod`='".$codeuser."'";
				/*
				if ((@$_SESSION["niv_log"]<>2) AND (@$_SESSION["niv_log"]<>6) AND (@$_SESSION["niv_log"]<>7))
					$rech2.= ", `cli_prop`='".$codeage."'";
				*/
				if ($cli_type < 1)
					$rech2.=", `cli_type`='1'";
				$rech2.=" WHERE `cli_code` = '".$codecli."'";
				$rs2 = mysql_query($rech2) or die(mysql_error());
			}
			
			if ($_SESSION["niv_log"]<>2)
				$msg = "Intervention ".$codei." enregistr&eacute;e";
			else
				$msg = "Intervention enregistr&eacute;e";
		}
		else
		{
			$msg = $txt_fiche_exist;
			$retourliste = FALSE;
			$enrimp = FALSE;
			$enrmail = FALSE;
		}
	
		mysql_free_result($rs);
		
		// Balayage et activation des problèmes sélectionnés
		if ($_SESSION["pbm_choisis"] <> "")
		{
			$tab_pbm = explode("-",$_SESSION["pbm_choisis"]);
			foreach ($tab_pbm as $id_pbm)
			{
				if (trim($id_pbm) <> "")
				{
					$rech = "UPDATE `" .TBRPBM. "` SET `rpbm_datemod`= '".$datea."', `rpbm_codemod`= '".$codeuser."', `rpbm_codeint`= '".$codei."' WHERE `rpbm_id`= '".$id_pbm."'";
					$rs = mysql_query($rech) or die(mysql_error());
				}
			}
		}
		
		// Régularisation du bon de travail
		if (trim($ot)<>"")
		{
			$rech = "UPDATE `" .TBOT. "` SET `ot_codeint`= '".$codei."' WHERE `ot_code`= '".$ot."'";
			$rs = mysql_query($rech) or die(mysql_error());
		}

		mysql_close($conn);
	
		// Remise à niveau type client
		upd_nivcli($codecli,TRUE);


		if ($retourliste == TRUE)
		{
			$pcli=FALSE;
			// Envoi d'email vers le client
			if ($prev==0)
			{
				// On envoie uniquement si l'envoi avec pièce jointe n'a pas déjà été demandé
				if ($enrmail==FALSE)
					envoi_mail("","Mise en place d'une nouvelle intervention (".$codei.")","int","cre","xxx","cli",$codei,"","",TRUE);
			}
			else
			{
				if ($prev<>4) // Le niveau 4 est "Ne pas prévenir"
				{
					$pcli=TRUE;
					$txtcorps=cre_corps_txtc("int","cre","xxx","cli",$codei,"","");
					$_SESSION["txt"] = $txtcorps;
				}
				// Envoi d'email vers le webmaster
				envoi_mailwm("","Mise en place d'une nouvelle intervention (".$codei.")","int","cre","xxx","cli",$codei,"","");
			}				
			// Envoi d'email vers le donneur d'ordres
			if ((@$_SESSION["niv_log"] == 7) OR (@$_SESSION["niv_log"] == 6))
				envoi_mail("","Nouvelle intervention","int","cre","xxx","do",$codei,"","",FALSE);
			// Envoi d'email vers l'agence (Si pas créé par une agence)
			if ((@$_SESSION["niv_log"] <> 4) AND (@$_SESSION["niv_log"] <> 3))
				envoi_mail("","Nouvelle intervention","int","cre","xxx","age",$codei,"","",FALSE);
			else // Envoi email si créé par une agence
			{
				// Si saisi par autre agence que celle gérant l'intervention ou le site
				if (($_SESSION["code_age"]<>$codeage) OR (($_SESSION["code_age"]<>$codeages) AND ($site>0)))
					envoi_mail("","Nouvelle intervention","int","cre","xxx","age",$codei,"","",FALSE);
			}
			// Envoi d'email vers le technicien responsable (Si pas créé par lui)
			if (($codetec<>"") AND ($codetec<>"-1"))
			{
				if ((@$_SESSION["niv_log"] <> 3) OR ((@$_SESSION["niv_log"] == 3) AND (@$_SESSION["code_log"] <> $codetec)))
					envoi_mail("","Une intervention vous a été affectée","int","cre","xxx","tec",$codei,"","",FALSE);
			}
			// Envoi d'email vers le centre de gestion (Si pas créé par le CDG)
			if (@$_SESSION["niv_log"] <> 5)
				envoi_mail("","Nouvelle intervention","int","cre","xxx","cdg",$codei,"","",FALSE);
		}
		break;
		
	// MAJ de la fiche Intervention
	case "edit" :
		
		$maj_int_ok=TRUE;
		if (($codestatut == "CLOT") OR ($dateprevf <> ""))
		{
			if (nb_ot_actifs($code)>0)
			{
				$maj_int_ok=FALSE;
				$codestatut="";
				$retourliste = FALSE;
			}
		}

		if ($maj_int_ok==TRUE)
		{
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			switch (@$_SESSION["niv_log"])
			{
				case 6 :
				case 7 :
					$rech = "UPDATE `" .TBINT. "` SET `int_datemod`='".$datea."', `int_codemod`='".$codeuser."', `int_codecli`='".$codecli."', `int_ddeur`='".$ddeur."', `int_codeage`='".$codeage."', `int_codecocl`='".$codecocl."', `int_codeorig`='".$codeorig."', `int_codestatut`='".$codestatut."',";
					$rech .=" `int_codelieu`='".$codelieu."', `int_urg`='".$urg."', `int_mat`='".$mat."', `int_login`='".$login."', `int_mdpsys`='".$mdpsys."', `int_mdpbios`='".$mdpbios."', `int_pbm`='".$pbm."',";
					$rech .=" `int_gar`='".$gar."', `int_fgar`='".$fgar."', `int_idsite`=".$site.", `int_codeext`='".$codeext."'";
					$rech .=" WHERE `int_code` = '".$code."'";
					break;
				default :
					$rech = "UPDATE `" .TBINT. "` SET `int_datemod`='".$datea."', `int_codemod`='".$codeuser."',`int_daterdv`='".$daterdv."',`int_hrdv`='".$hrdv."', `int_codecli`='".$codecli."', `int_ddeur`='".$ddeur."', `int_codeage`='".$codeage."', `int_codecocl`='".$codecocl."', `int_codeorig`='".$codeorig."', `int_codestatut`='".$codestatut."',";
					$rech .=" `int_codelieu`='".$codelieu."', `int_urg`='".$urg."', `int_mat`='".$mat."', `int_login`='".$login."', `int_mdpsys`='".$mdpsys."', `int_mdpbios`='".$mdpbios."', `int_pbm`='".$pbm."', `int_acpte`='".$acompte."', `int_codetec`='".$codetec."',`int_durees`='".$durees."', `int_fait`='".$fait."', `int_dateprev`='".$dateprev."', `int_datefin`='".$datefin."',";
					$rech .=" `int_gar`='".$gar."', `int_fgar`='".$fgar."', `int_codereg`='".$codereg."', `int_pces`='".$pces."', `int_idsite`=".$site.", `int_codeext`='".$codeext."', `int_codeman`='".$codeman."', `int_codeages`='".$codeages."', `int_forfait`='".$forfait."'";
					$rech .=" WHERE `int_code` = '".$code."'";
					break;
			}
			$rs = mysql_query($rech) or die(mysql_error());
					
			$msg = "Intervention ".$code." mise &agrave; jour.";
		
			// Vérification du type de client et MAJ si nécessaire
			$rech2 = "SELECT * FROM " .TBCLI. " WHERE `cli_code` = '".$codecli."'";
			$rs2 = mysql_query($rech2) or die(mysql_error());
			if ($row = mysql_fetch_array($rs2))
			{
				extract ($row);
	
				// MAJ de la fiche Client (pour modification du type), et passage en type 'demande d'intervention' ou 'Déjà Client' si pas déjà client
				$rech2 = "UPDATE `" .TBCLI. "` SET `cli_datemod`='".$datea."', `cli_codemod`='".$codeuser."'";
				/*
				if ((@$_SESSION["niv_log"]<>6) AND (@$_SESSION["niv_log"]<>7))
					$rech2.= ", `cli_prop`='".$codeage."'";
				*/
				if ($cli_type < 2)
				{
					if ($datefinf <> "")
						$rech2.=", `cli_type`='2'";
					else
						$rech2.=", `cli_type`='1'";
				}
				$rech2.=" WHERE `cli_code` = '".$codecli."'";
				$rs2 = mysql_query($rech2) or die(mysql_error());
			}
				
			// Balayage et mise à jour des problèmes sélectionnés
			
			// Mise à jour des champs codes interventions
			$tab_pbm = explode("-",$_SESSION["pbm_choisis"]);
			$rech = "SELECT * FROM `" .TBRPBM. "` WHERE `rpbm_codeint`= '".$code."'";
			$rs = mysql_query($rech) or die(mysql_error());
			if (mysql_num_rows($rs)>0) // Il y a déjà des problèmes déclarés rattachés à cette intervention
			{
				while ($row = mysql_fetch_assoc($rs))
				{
					extract($row);
		
					 // L'ID a bien été choisie par l'utilisateur, donc on active (et on ne touche pas au traitement effectué)
					if (in_array($rpbm_id,$tab_pbm))
					{
						$rech2 = "UPDATE `" .TBRPBM. "` SET `rpbm_datemod`= '".$datea."', `rpbm_codemod`= '".$codeuser."', `rpbm_codeint`= '".$code."' WHERE `rpbm_id`= '".$rpbm_id."'";
						$rs2 = mysql_query($rech2) or die(mysql_error());
					}
					// L'ID n'a pas été choisi par l'utilisateur
					// Comme il l'avait précédemment choisie, on vide la date de traitement, le traitement, 
					// et le code intervention
					else
					{
						$rech2 = "UPDATE `" .TBRPBM. "` SET `rpbm_datemod`= '".$datea."', `rpbm_codemod`= '".$codeuser."', `rpbm_codeint`= NULL, `rpbm_datett`= NULL, `rpbm_fait`= NULL  WHERE `rpbm_id`= '".$rpbm_id."'";
						$rs2 = mysql_query($rech2) or die(mysql_error());
					}
		
				}
			}
			else // Il n'y a pas de problèmes déclarés rattachés à cette intervention
			{
				// On rattache les problèmes choisis à cette intervention
				foreach ($tab_pbm as $id_pbm)
				{
					if (trim($id_pbm) <> "")
					{
						$rech = "UPDATE `" .TBRPBM. "` SET `rpbm_datemod`= '".$datea."', `rpbm_codemod`= '".$codeuser."', `rpbm_codeint`= '".$code."' WHERE `rpbm_id`= '".$id_pbm."'";
						$rs = mysql_query($rech) or die(mysql_error());
					}
				}
			}
			
			// Traitement des problèmes affectés à l'intervention
			if ($codestatut == "CLOT")
			{
				// Si c'est clôt on prend la date de traitement de l'intervention comme date de traitement de chaque problème déclaré et solutionné
				$rech = "UPDATE `" .TBRPBM. "` SET `rpbm_datett`= '".$datefin."' WHERE `rpbm_codeint`= '".$code."'";
				$rs = mysql_query($rech) or die(mysql_error());
			}
			
			// MAJ de l'historique du contrat
	
			// On supprime déjà celui existant (permet de supprimer si on avait choisi un contrat précédemment)
			$rech = "DELETE FROM `" .TBCOCLH. "` WHERE `coclh_codeint` = '$code'";
			$rs = mysql_query($rech) or die(mysql_error());
		
			// Si nécessaire, on injecte le code choisi
			if ($codecocl <> "") // Si code contrat, on met à jour
			{
				$rech = "INSERT INTO " .TBCOCLH;
				$rech.= " (coclh_codecli,coclh_codecocl,coclh_codeint)";
				$rech.= " VALUES";
				$rech.= " ('$codecli','$codecocl','$code')";
				$rs = mysql_query($rech) or die(mysql_error());
			}
		
			mysql_close($conn);
	
			$pcli=FALSE;
			$contrat="";
			if ($codestatut <> "CLOT")
			{
				// Si l'intervention est terminée, qu'il n'a pas déjà été prévenu (ou que la date pour prévenir a été changée),
				// on prévient le client
				if ($dateprevf <> "")
				{
					if ($exdateprevf<>$dateprevf)
					{
						// Envoi d'email vers le client
						if ($prev==0)
						{
							// On envoie uniquement si l'envoi avec pièce jointe n'a pas déjà été demandé
							if ($enrmail==FALSE)
							{
								if ($codedo=="")
									envoi_mail("","Votre intervention ".$code." est terminée","int","fait","xxx","cli",$code,"",$totalint,TRUE);
								else
									envoi_mail("","Votre intervention ".$code." est terminée","int","fait2","xxx","cli",$code,"",$totalint,TRUE);
							}
						}
						else
						{
							if ($prev<>4) // Le niveau 4 est "Ne pas prévenir"
							{
								$pcli=TRUE;
								$txtcorps=cre_corps_txtc("int","fait","xxx","cli",$code,"",$totalint);
								$_SESSION["txt"] = $txtcorps;
							}
							// On prévient le Webmaster
							envoi_mailwm("","Intervention ".$code." terminée","int","fait","xxx","cli",$code,"",$totalint);
						}
					}
				}

				// On prévient le technicien responsable s'il a changé
				if ($codetec<>$excodetec)
				{
					if (($codetec<>"") AND ($codetec<>"-1"))
					{
						if ((@$_SESSION["niv_log"] <> 3) OR ((@$_SESSION["niv_log"] == 3) AND (@$_SESSION["code_log"] <> $codetec)))
						envoi_mail("","Une intervention vous a été affectée","int","cre","xxx","tec",$code,"","",FALSE);
					}
				}
				else // S'il n'a pas changé, on prévient juste le responsable de la modification
				{
					if ((@$_SESSION["niv_log"] <> 3) OR ((@$_SESSION["niv_log"] == 3) AND (@$_SESSION["code_log"] <> $codetec)))
					envoi_mail("","L'intervention ".$code." a été modifiée","int","mod","xxx","tec",$code,"","",FALSE);
				}
			}
			else
			{
				// On prévient le client de la clôture de l'intervention
				if ($prev==0)
				{
					if ($codedo=="")
						envoi_mail("","Votre intervention ".$code." est close","int","clot","xxx","cli",$code,"",$totalint,FALSE);
					else
						envoi_mail("","Votre intervention ".$code." est close","int","clot2","xxx","cli",$code,"",$totalint,FALSE);
				}
				else
				{
					if ($prev<>4) // Le niveau 4 est "Ne pas prévenir"
					{
						$pcli=TRUE;
						$txtcorps=cre_corps_txtc("int","clot","xxx","cli",$code,"",$totalint);
						$_SESSION["txt"] = $txtcorps;
					}
					// On prévient le Webmaster
					envoi_mailwm("","Intervention ".$code." close","int","clot","xxx","cli",$code,"",$totalint);
				}				

				// On prévient le donneur d'ordres (si nécessaire)
				if ($codedo<>"")
					envoi_mail("","Intervention ".$code." close","int","clot","xxx","do",$code,"",$totalint,FALSE);
				// Envoi d'email vers l'agence (si pas saisi par agence)
				if (@$_SESSION["niv_log"] <> 4)
					envoi_mail("","Intervention ".$code." close","int","clot","xxx","age",$code,"",$totalint,FALSE);
				else // Envoi email si saisi par une agence
				{
					// Si saisi par autre agence que celle gérant l'intervention ou le site
					if (($_SESSION["code_age"]<>$codeage) OR (($_SESSION["code_age"]<>$codeages) AND ($site>0)))
						envoi_mail("","Intervention ".$code." close","int","clot","xxx","age",$code,"",$totalint,FALSE);
				}
				// Envoi d'email vers le centre de gestion
				if (mod_fact_age($codeage) == 0) // L'agence n'émet PAS ses factures
					envoi_mail("","Intervention close","int","faitf","xxx","cdg",$code,"",$totalint,TRUE);
				else  // L'agence emet ses factures
					envoi_mail("","Intervention close","int","faiti","xxx","cdg",$code,"",$totalint,TRUE);

				// Si rattachée à un contrat, quelques tests
				if ($codecocl <> "")
				{
					$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
					mysql_select_db(DBNAME);
					$rech = "SELECT * FROM " .TBCOCL." WHERE `cocl_code` = '".$codecocl."'";
					$rs = mysql_query($rech) or die(mysql_error());
					if (mysql_num_rows($rs) <> 0)
					{
						if ($row = mysql_fetch_array($rs))
						{
							extract($row);
							
							$con_aclore=FALSE;
							$con_aren=FALSE;
							$nouveau_soldes = soldes_contrat($codecocl,FALSE); // Le solde des interventions closes comprend le temps de CETTE intervention
							$surplus = 0;
							$ncon_report="";
							
							// On vérifie s'il y a une date de fin de contrat
							// Si oui et qu'elle est dépassée, on clot le contrat
							if (formatedate($cocl_datef)<>"")
							{		
								if ((comp_date($cocl_datef,$datefin) == TRUE) OR (comp_date($cocl_datef,$datea) == TRUE))
								{
									$con_aclore=TRUE;
									$msg .= "<br><br>La date d'&eacute;ch&eacute;ance du contrat ".$codecocl." est atteinte ou d&eacute;pass&eacute;e. <br> Le contrat ".$codecocl." est cl&ocirc;t.";
									$retourliste = FALSE;
								}
							}

							// Toujours pas à clore ?							
							if ($con_aclore==FALSE)
							{
								// Si c'est un contrat 'Quota horaire', on vérifie que le temps consommé ne dépasse pas le solde du contrat
								if ($cocl_typh == 1)
								{
									if ($nouveau_soldes <= 0) // Si nouveau solde<=0, on clôt le contrat
									{
										$retourliste = FALSE;
										$con_aclore=TRUE;
										if ($nouveau_soldes <0)
										{
											$surplus = -$nouveau_soldes;
											$msg .="<br><br>Le nombre d'heures effectu&eacute;es est sup&eacute;rieur de ".heure_to_hhmm(sec_heure($surplus,3,TRUE))." heures au solde d'heure du contrat  ".$codecocl.".<br>Le contrat ".$codecocl." est cl&ocirc;t.";
										}
										else
											$msg .="<br><br>Le solde d'heures est maintenant nul.<br>Le contrat ".$codecocl." est cl&ocirc;t.";
									}
								}
							}
							
							if ($con_aclore==TRUE)
							{
								// On injecte la date de fin dans le contrat
								$rech2 = "UPDATE `" .TBCOCL;
								$rech2.= "` SET `cocl_datefin`='".$datefin."'";
								$rech2.= " WHERE `cocl_code` = '".$codecocl."'";
								$rs2 = mysql_query($rech2) or die(mysql_error());
								
								// On vérifie si le contrat a déjà été renouvelé
								// Si non, on vérifie s'il est en mode "renouvellement automatique"
								if (($cocl_renouv==FALSE) AND ($cocl_renauto==TRUE))
								{
									$codeco = crecode("CO",FALSE);
								
									// Mise à jour fiche contrat client et récupération informations
									$rech = "SELECT * FROM " .TBCOCL." WHERE `cocl_code` =  '".$codecocl."'";
									$rs = mysql_query($rech) or die(mysql_error());
									if (mysql_num_rows($rs) == 1) // Uniquement UN SEUL enregistrement !
									{
										if ($row = mysql_fetch_array($rs))
										{
											extract ($row);
											$upd = "UPDATE `" .TBCOCL;
											$upd .= "` SET `cocl_datemod`='".$datea."', `cocl_codemod`='".$codeuser."', `cocl_renouv`='1',";
											$upd .="  `cocl_rnum`='".$codeco."' WHERE `cocl_code` = '".$codecocl."'";
											$rs2 = mysql_query($upd) or die(mysql_error());
										}
									}

									// Création d'un nouveau contrat sur la base de l'ancien
									if (formatedate($cocl_datef)<>"")
									{
										$ancienne_duree_jours = diff_date_jours($cocl_dated,$cocl_datef,TRUE) ;
										$cocl_dated = ajoute_un_jour_date($cocl_datef);
										$cocl_datef=nouv_date_plus_jours($cocl_dated,$ancienne_duree_jours);
									}
									else
									{
										$cocl_dated=$datea;
										$cocl_datef = "";
									}
							
									$rech = "INSERT INTO " .TBCOCL;
									$rech.= " (cocl_datecrea,cocl_codecrea,cocl_datemod,cocl_codemod,cocl_dateenv,cocl_daterec,cocl_code,cocl_codeco,cocl_codeper,";
									$rech.= "cocl_codeage,cocl_codecli,cocl_delai,cocl_nbs,cocl_typh,cocl_dated,cocl_datef,cocl_preavis,cocl_daterel,cocl_nivrel,";
									$rech.= "cocl_renouv,cocl_rnum,cocl_datefin,cocl_signe,cocl_matos,cocl_pvht,cocl_coderlp,cocl_sitep,cocl_codetva,";
									$rech.= "cocl_renauto)";
									$rech.= " VALUES";
									$rech.= " ('$datea','$codeuser','$datea','$codeuser','$datea','','$codeco','$cocl_codeco','$cocl_codeper',";
									$rech.= "'$cocl_codeage','$cocl_codecli','$cocl_delai','$cocl_nbs','$cocl_typh','$cocl_dated','$cocl_datef','$cocl_preavis','','',";
									$rech.= "'','','','','".addslashes($cocl_matos)."','$nval','$cocl_coderlp','$cocl_sitep','$cocl_codetva','$cocl_renauto')";
									$rs = mysql_query($rech) or die(mysql_error());
											
									$msg.= "<br><br>Nouveau contrat (N°".$codeco.") cr&eacute;&eacute; en renouvellement.";
									$cocl_rnum=$codeco;
									$con_aren=TRUE;
									$retourliste = FALSE;
								}
								// On supprime déjà les reports existants
								$rech = "DELETE FROM `" .TBCOCLR. "` WHERE `coclr_codeint` = '$code'";
								$rs = mysql_query($rech) or die(mysql_error());

								if ($cocl_typh==1)
								{
									// Vérification du solde non consommé
									if ($rephnc != "")
									{
										// On ne reporte que si le nouveau solde est encore positif
										if ($nouveau_soldes>0)
										{
											$rech="";
											switch ($rephnc)
											{
												// Inutile ou Pas de report
												case "0" :
												case "-2" :
													break;
												// Report sur contrat de renouvellement
												case "-1" :
													$rech = "INSERT INTO " .TBCOCLR;
													$rech.= " (coclr_codeint,coclr_coclori,coclr_cocldest,coclr_nbsrep)";
													$rech.= " VALUES";
													$rech.= " ('$code','$codecocl','$cocl_rnum','$nouveau_soldes')";
													$msg.= "<br><br>Non consomm&eacute; (".heure_to_hhmm(sec_heure($nouveau_soldes, 3,TRUE)).") report&eacute; sur contrat ".$cocl_rnum.".";
													break;
												// Report sur contrat spécifique
												default :
													$rech = "INSERT INTO " .TBCOCLR;
													$rech.= " (coclr_codeint,coclr_coclori,coclr_cocldest,coclr_nbsrep)";
													$rech.= " VALUES";
													$rech.= " ('$code','$codecocl','$rephnc','$nouveau_soldes')";
													$msg.= "<br><br>Non consomm&eacute; (".heure_to_hhmm(sec_heure($nouveau_soldes,3,TRUE)).") report&eacute; sur contrat ".$rephnc.".";
													break;
											}
											if ($rech<>"")
												$rs = mysql_query($rech) or die(mysql_error());
										}
									}
									// Vérification du solde trop consommé
									if ($repded != "")
									{
										// On ne déduit que si le nouveau solde est négatif
										if ($nouveau_soldes<0)
										{								
											$rech="";
											switch ($repded)
											{
												// Inutile ou Pas de déduction
												case "0" :
												case "-2" :
													break;
												// Déduction sur contrat de renouvellement
												case "-1" :
													$rech = "INSERT INTO " .TBCOCLR;
													$rech.= " (coclr_codeint,coclr_coclori,coclr_cocldest,coclr_nbsrep)";
													$rech.= " VALUES";
													$rech.= " ('$code','$codecocl','$cocl_rnum','$nouveau_soldes')";
													$ncon_report=$cocl_rnum;
													$msg.= "<br><br>Trop consomm&eacute; (".heure_to_hhmm(sec_heure(-$nouveau_soldes,3,TRUE)).") report&eacute; sur contrat ".$cocl_rnum.".";
													break;
												// Déduction sur contrat spécifique
												default :
													$rech = "INSERT INTO " .TBCOCLR;
													$rech.= " (coclr_codeint,coclr_coclori,coclr_cocldest,coclr_nbsrep)";
													$rech.= " VALUES";
													$rech.= " ('$code','$codecocl','$repded','$nouveau_soldes')";
													$ncon_report=$repded;
													$msg.= "<br><br>Trop consommé (".heure_to_hhmm(sec_heure(-$nouveau_soldes,3,TRUE)).") report&eacute; sur contrat ".$repded.".";
													break;
											}
											if ($rech<>"")
												$rs = mysql_query($rech) or die(mysql_error());
										}
									}
								}
							}

							mysql_close($conn);
							if ($con_aclore==TRUE) // Si besoin, on prévient de la clôture de contrat
							{
								$contrat=$codecocl;
								// Envoi d'email vers le client
								if ($prev==0)
									envoi_mail("","Clôture de votre contrat","con","clo","xxx","cli",$codecocl,"","",FALSE);
								else
									envoi_mailwm("","Clôture de contrat","con","clo","xxx","cli",$codecocl,"","");
								// Envoi d'email vers l'agence
								envoi_mail("","Clôture de contrat","con","clo","xxx","age",$codecocl,"","",FALSE);
								// Envoi d'email vers le centre de gestion
								envoi_mail("","Clôture de contrat","con","clo","xxx","cdg",$codecocl,"","",TRUE);

								if ($con_aren==TRUE) // Si besoin, on prévient du renouvellement de contrat
								{
									$ncontrat=$codeco;
									$url_cocl = "cocl_maj.php?td=edit&co=".$codeco."&cc=".$cocl_codecli;
									// Envoi d'email vers le client
									if ($prev==0)
										envoi_mail("","Renouvellement de votre contrat","con","ren2","xxx","cli",$codecocl,"","",FALSE);
									else
										envoi_mailwm("","Renouvellement de contrat","con","ren2","xxx","cli",$codecocl,"","");
									// Envoi d'email vers l'agence
									envoi_mail("","Renouvellement de contrat","con","ren2","xxx","age",$codecocl,"","",FALSE);
									// Envoi d'email vers le centre de gestion
									envoi_mail("","Renouvellement de contrat","con","ren2","xxx","cdg",$codecocl,"","",TRUE);
								
								}
							}
							// Contrôle du solde du contrat de report de trop consommé
							if ($ncon_report<>"")
							{
								if (soldes_contrat($ncon_report,TRUE)<=0) // Solde négatif ou nul...on clot
								{
									// Cloture
									$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
									mysql_select_db(DBNAME);
									$rech2 = "UPDATE `" .TBCOCL;
									$rech2.= "` SET `cocl_datefin`='".$datefin."'";
									$rech2.= " WHERE `cocl_code` = '".$ncon_report."'";
									$rs2 = mysql_query($rech2) or die(mysql_error());
									mysql_close($conn);
									// On prévient
									$contrat=$ncon_report;
									// Envoi d'email vers le client
									if ($prev==0)
										envoi_mail("","Clôture de votre contrat","con","clo","xxx","cli",$codecocl,"","",FALSE);
									else
										envoi_mailwm("","Clôture de contrat","con","clo","xxx","cli",$codecocl,"","");
									// Envoi d'email vers l'agence
									envoi_mail("","Clôture de contrat","con","clo","xxx","age",$codecocl,"","",FALSE);
									// Envoi d'email vers le centre de gestion
									envoi_mail("","Clôture de contrat","con","clo","xxx","cdg",$codecocl,"","",TRUE);
								}
							}
						}
					}
				}
			}
		}
		else
		{
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech = "UPDATE `" .TBINT. "` SET `int_datemod`='".$datea."', `int_codemod`='".$codeuser."',`int_daterdv`='".$daterdv."',`int_hrdv`='".$hrdv."', `int_codecli`='".$codecli."', `int_ddeur`='".$ddeur."', `int_codeage`='".$codeage."', `int_codecocl`='".$codecocl."', `int_codeorig`='".$codeorig."',";
			$rech .=" `int_codelieu`='".$codelieu."', `int_urg`='".$urg."', `int_mat`='".$mat."', `int_login`='".$login."', `int_mdpsys`='".$mdpsys."', `int_mdpbios`='".$mdpbios."', `int_pbm`='".$pbm."', `int_acpte`='".$acompte."', `int_codetec`='".$codetec."',`int_durees`='".$durees."', `int_fait`='".$fait."',";
			$rech .=" `int_gar`='".$gar."', `int_fgar`='".$fgar."', `int_codereg`='".$codereg."', `int_pces`='".$pces."', `int_idsite`=".$site.", `int_codeext`='".$codeext."', `int_codeman`='".$codeman."'";
			$rech .=" WHERE `int_code` = '".$code."'";
			$rs = mysql_query($rech) or die(mysql_error());
			mysql_close($conn);
			$msg = "Il y a des bons de travail rattach&eacute;s &agrave; cette intervention.<br /><br />Merci de les clores avant de clore cette intervention ou de pr&eacute;venir le client.<br /><br />L'intervention a &eacute;t&eacute; enregistr&eacute;e.<br /><br />La date d'appel (client non pr&eacute;venu) et le statut reste inchang&eacute;s";
		}

		// Remise à niveau type client
		upd_nivcli($codecli,TRUE);

		break;		


	// Suppression de la fiche Intervention
	case "del" :
		$delok=TRUE;
		if (int_closed($code,TRUE)==TRUE)
		{
			$msg = "Impossible de supprimer une intervention close.";
			$retourliste = FALSE;
			$enrimp = FALSE;
			$delok=FALSE;
		}
		
		if (nb_ot($code)<>0)
		{
			if ($msg="")
				$msg.="<br /><br />";
			$msg = "Il y a des bons de travail rattach&eacute;s &agrave; cette intervention.<br />Merci de les supprimer avant de supprimer cette intervention.";
			$retourliste = FALSE;
			$enrimp = FALSE;
			$delok=FALSE;
		}
		
		if (exist_intf_int($code)==TRUE)
		{
			if ($msg="")
				$msg.="<br /><br />";
			$msg = "Il y a un suivi de facturation rattach&eacute; &agrave; cette facture.<br />Merci de le supprimer avant de supprimer cette intervention.";
			$retourliste = FALSE;
			$enrimp = FALSE;
			$delok=FALSE;
		}

		if ($delok==TRUE)
		{
			$row=lit_enr_int($code);
			if (is_array($row))
			{
				extract($row);
				// Si saisi par autre agence que celle gérant l'intervention ou le site
				if (($_SESSION["code_age"]<>$codeage) OR (($_SESSION["code_age"]<>$codeages) AND ($site>0)))
					envoi_mail("","Annulation d'intervention","int","del","xxx","age",$code,"","",FALSE);
				if (($codetec<>"") AND ($codetec<>"-1"))
				{
					if ((@$_SESSION["niv_log"] <> 3) OR ((@$_SESSION["niv_log"] == 3) AND (@$_SESSION["code_log"] <> $codetec)))
						envoi_mail("","L'intervention ".$code." a été supprimée","int","del","xxx","tec",$code,"","",FALSE);
				}
				// Envoi d'email vers le centre de geston
				if (@$_SESSION["niv_log"] <> 5)
					envoi_mail("","Annulation d'intervention","int","del","xxx","cdg",$code,"","",FALSE);
	
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
				$rech = "DELETE FROM `" .TBINT. "` WHERE `int_code` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());
		
				// Suppression du détail horaire
				$rech = "DELETE FROM `" .TBINTH. "` WHERE `inth_codeint` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());
		
				// Suppression de l'historique du contrat
				$rech = "DELETE FROM `" .TBCOCLH. "` WHERE `coclh_codeint` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());
		
				// Suppression des historiques articles sur cette intervention
				$rech = "DELETE FROM `" .TBPDTI. "` WHERE `pdti_codeint` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());
		
				// Suppression des tâches rattachées à cette intervention
				$rech = "DELETE FROM `" .TBTAC. "` WHERE `tac_coderat` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());
		
				// On rend de nouveau disponible les problèmes affectés à cette intervention
				$rech = "UPDATE `" .TBRPBM. "` SET `rpbm_datemod`= '".$datea."', `rpbm_codemod`= '".$codeuser."', `rpbm_codeint`= NULL, `rpbm_datett`= NULL, `rpbm_fait`= NULL   WHERE `rpbm_codeint`= '".$code."'";
				$rs = mysql_query($rech) or die(mysql_error());
		
				// Remise à niveau type client
				upd_nivcli($codecli,FALSE);
	
				mysql_close($conn);
		
				$msg = "Intervention ".$code." supprim&eacute;e";
			}
			else
			{
				$msg = "Probl&egrave;me lors de la suppression.";
				$retourliste = FALSE;
				$enrimp = FALSE;				
			}
		}
		else
			$msg.="<br />L'intervention n'a pas &eacute;t&eacute; supprim&eacute;e.";
		break;
	default :
		break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html><head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Fiche Intervention</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

</head>
<body>
<?php 
include_once("../inc/entete.inc.php"); 
?>
<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center">
<?PHP if (($retourliste==FALSE) AND ($enrimp==FALSE) AND ($enrmail==FALSE))
	echo '<span class="alerte1">';
else
	echo '<span class="annot_std_gras">';
?>
<?PHP echo $msg ?>
</span>
</p>

<br />
<?PHP if ($retourliste == FALSE) 
{
	if ($enrimp == TRUE)
	{
		if ($td == "add")
		{
			$urlimp1 = "int_pdf.php?ci=".$codei."&timp=0";
			$urlimp2 = "int_pdf.php?ci=".$codei."&timp=0&te=cli";
			$urlimp3 = "int_pdf.php?ci=".$codei."&timp=0&cgv=ok";
		}
		else
		{
			$urlimp1 = "int_pdf.php?ci=".$code."&timp=0";
			$urlimp2 = "int_pdf.php?ci=".$code."&timp=0&te=cli";
			$urlimp3 = "int_pdf.php?ci=".$code."&timp=0&cgv=ok";
		}
?>
		<p align="center">
		<a href="javascript:;" onClick="lanceimp('<?PHP echo $urlimp1; ?>');")><img src="../img/print.png" title="Imprimer la fiche (sans CGV)" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onClick="lanceimp('<?PHP echo $urlimp1; ?>');")> Imprimer la fiche</a></div>
		</p>

<?PHP 
	if (((@$_SESSION["niv_log"] == 4) OR (@$_SESSION["niv_log"] == 3) OR (@$_SESSION["niv_log"] == 5) AND (@$_SESSION["niv_log"] == 9)) AND ($forfait>0))
	{ 
?>
		<p align="center">
		<a href="javascript:;" onClick="lanceimp('<?PHP echo $urlimp2; ?>');")><img src="../img/printcl.png" title="Imprimer la fiche pour le client" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onClick="lanceimp('<?PHP echo $urlimp2; ?>');")> Imprimer la fiche pour le client </a></div>
		</p>
<?PHP }

	if ($codedo=="") 
	{ 
?>
		<p align="center">
		<a href="javascript:;" onClick="lanceimp('<?PHP echo $urlimp3; ?>');")><img src="../img/printc.png" title="Imprimer la fiche (avec CGV)" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onClick="lanceimp('<?PHP echo $urlimp3; ?>');")> Imprimer la fiche (avec CGV) </a></div>
		</p>
<?PHP }


		if ($surplus <> 0)
		{
			echo "<br><br>";
			echo "Que souhaitez-vous faire ?";
		}

	}

	if ($enrmail == TRUE)
	{
		if ($prev==0)
		{
			$envmail=TRUE;
			switch ($td)
			{
				// On envoi pas de mail si en mode suppression
				case "del" :
					$envmail=FALSE;
					break;
				// On envoie l'email au client en mode édition uniquement si nouvelle date pour prévenir
				case "edit" :
					if (($dateprevf == "") OR (($exdateprevf==$dateprevf) AND ($dateprevf <> "")))
						$envmail=FALSE;
					break;
				default :
					break;
			}
			if ($envmail==TRUE)
			{
				if ($td == "add")
					$urlmai1 = "int_pdf.php?ci=".$codei."&timp=1&tact=".$td;
				else
					$urlmai1 = "int_pdf.php?ci=".$code."&timp=1&tact=".$td;
?>
			<p align="center"><span class="annot_std_gras">Copie envoy&eacute;e au client par email</span></p>
			<script type="text/javascript">
			<!--
			fensaisie('<?PHP echo $urlmai1; ?>',1,1,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');
			//-->
			</script>
<?PHP
			}
			else
			{
?>
			<p align="center">
			<span class="annot_std_gras">Il n'est pas n&eacute;cessaire d'envoyer une copie au client</span><br />
			<span class="annot_petit_it">Psa de date ou de nouvelle date pour pr&eacute;venir le client</span>
			</p>
<?PHP
			}
		}
		else
		{
?>
		<p align="center"><span class="annot_std_gras">Ce client est param&eacute;tr&eacute; pour ne pas recevoir d'emails</span></p>
<?PHP
		}
	}
	
	if ($codestatut <> "CLOT")
		aff_ret_idx_man($td,"int_lst.php?ord=DES&tri=Code",$txt_lnk_ret_liste,TRUE);
	else
		aff_ret_idx_man($td,"int_lst.php?ord=DES&tri=Code",$txt_lnk_ret_liste,FALSE);
}
else 
{
	if ($pcli==TRUE)
	{
?>
		<script type="text/javascript">
		<!--
		fen_prev_client(<?PHP echo $prev; ?>,'<?PHP echo $contrat; ?>','<?PHP echo $ncontrat; ?>');
		//-->
		</script>
<?PHP
	}

	if (@$_SESSION["niv_log"] <> 2)
		aff_ret_lst_auto("int_lst.php?ord=DES&tri=Code",2000);
	else
		aff_ret_idx_auto("index.php?tl=1",2000);
}
include_once("pied.php");
?>
